#
#  Gnome configuration
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ default.nix
#   └─ ./modules
#       └─ ./desktop
#           └─ ./gnome
#               └─ default.nix *
#
{ config, lib, user, pkgs, ... }:

{
    hardware.pulseaudio.enable = lib.mkForce false;

    environment.systemPackages = with pkgs; [
      gnome.gnome-terminal
      gnomeExtensions.dash-to-dock
      gnomeExtensions.appindicator
      flatpak
      rocm-opencl-icd
      rocm-opencl-runtime
      clinfo
    ];

    services = {
      xserver = {
        enable = true;
        desktopManager.gnome.enable = true;
        displayManager = {
          gdm.wayland = true;
          gdm.enable = true;
          gdm.autoLogin.delay = 5;
          gdm.settings = {
              security = {
                  DisallowTCP=true;
              };
          };
          defaultSession = "steam-wayland";
          autoLogin.enable = true;
          autoLogin.user = "kabbone";
        };
      };
      flatpak.enable = true;
      udev.packages = with pkgs; [ gnome.gnome-settings-daemon ];
    };
}
