
{ config, lib, pkgs, ... }:

{
  nix = {
    distributedBuilds = true;
    buildMachines = [ {
      hostName = "hades";
      system = "x86_64-linux";
      supportedFeatures = [ "kvm" "big-parallel" ];
      sshUser = "nixremote";
      sshKey = config.age.secrets."keys/nixremote".path;
      maxJobs = 1;
      speedFactor = 8;
      publicHostKey = "c3NoLWVkMjU1MTkgQUFBQUMzTnphQzFsWkRJMU5URTVBQUFBSUVnbld5UVVVYSt2Y0hBS3g2ZWRiVGdxVzhwaCtNQ2lTNmZVd1lqWWNTK28gcm9vdEBoYWRlcwo=%";
      protocol = "ssh-ng";
    } ];
  };
  
  age.secrets."keys/nixremote" = {
    file = ../../secrets/keys/nixremote.age;
    owner = "root";
  };
}
